Skip to main content
PUT
/
marketing
/
campaigns
/
2026-03
/
{campaignGuid}
/
assets
/
{assetType}
/
{assetId}
Add asset association
curl --request PUT \
  --url https://api.hubapi.com/marketing/campaigns/2026-03/{campaignGuid}/assets/{assetType}/{assetId} \
  --header 'Authorization: Bearer <token>'
This response has no body data.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

assetId
string
required

The id of asset to disassociate, required Example: 154543

assetType
string
required

The type of asset to disassociate, required Example: OBJECT_LIST

campaignGuid
string
required

The UUID of the campaign, required Example: 9dbec438-53e2-4b28-8c0f-38f56574a6e8

Response

Last modified on April 13, 2026